# Get Receive Accounts

### **Get list of receive accounts** &#x20;

You can fetch all the receive accounts created under a receive user.

#### `GET /users/{{user_id}}/receive-users/{{receive_user_id}}/accounts`

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request GET '{{url}}/users/{{user_id}}/receive-users/{{receive_user_id}}/accounts' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

<pre><code><strong>{
</strong>        "account_number": "0037275353",
        "account_type": "SAVINGS",
        "bank_id": 2,
        "branch_id": 3,
        "created_at": "2021-10-08T11:12:21.957",
        "id": "358d1471-f915-407d-95af-6e72c5dde082",
        "payout_method": "BANK_DEPOSIT",
        "status": "VERIFIED",
        "user_id": "87fa8868-f187-4f0f-aa8d-3815336334c6"
    },
        "created_at": "2021-12-07T09:16:33.947037",
        "id": "94e7db9e-f49d-4573-a9e0-639714248b6f",
        "msisdn": "233242516556",
        "payout_method": "WALLET",
        "status": "VERIFIED",
        "user_id": "f319cd8a-f4f3-465b-bbd8-8457d51f8c57",
        "wallet_type": "TEL"
}
</code></pre>

{% endtab %}
{% endtabs %}

### **Get receive account by ID**&#x20;

You can fetch details of a particular receive user account linked to a receive user.

#### `GET /users/{{user_id}}/receive-users/{{receive_user_id}}/accounts/{{receive_user_account_id}}`

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request GET '{{url}}/users/{{user_id}}/receive-users/{{receive_user_id}}/accounts/{{receive_user_account_id}}' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
    "account_number": "2662030406",
    "account_type": "SAVINGS",
    "bank_id": 40,
    "branch_id": 39,
    "created_at": "2022-01-14T11:17:54.287101",
    "id": "9db84704-fabc-4be2-b96b-f79f13809467",
    "payout_method": "BANK_DEPOSIT",
    "status": "UNVERIFIED",
    "user_id": "e2d1b7bf-4e8a-4e2d-b5a3-474525c396db",
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/funds/get-receive-accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
